{ ... }:
{
  services.gickup = {
    enable = true;

    settings = {
      source = {
        github = [{
          # token_file = sops
          include = [
            "go-gitea/gitea"
            "unmojang/FjordLauncher"
            "unmojang/drasl"
            "NixOS/nixpkgs"
            "saltstack/salt"
            "heimdal/heimdal"
            "yushijinhun/authlib-injector"
            "Git-Mediawiki/Git-Mediawiki"
          ];
          wiki = true;
          issues = true;
        }];
        gitlab = [{
          include = [
            "mx-puppet/discord/better-discord.js"
            "mx-puppet/discord/matrix-discord-parser"
            "mx-puppet/discord/discord-markdown"
            "mx-puppet/discord/mx-puppet-discord"
            "mx-puppet/mx-puppet-bridge"
          ];
        }];
        any = [
          {
            url = "https://sourceware.org/git/glibc.git";
          }
        ];
      };

      destination.local = [{
        path = "/data/git-mirrors";
        structured = true;
        zip = true;
        keep = 5;
        bare = true;
        lfs = true;
      }];
    };
  };
}
